| OpenCV 4.3.0 Open Source Computer Vision

Public Member Functions | List of all members
cv::detail::FeatherBlender Class Reference
Images stitching » Image Blenders

Simple blender which mixes images at its borders. More...

`#include <opencv2/stitching/detail/blenders.hpp>`

Inheritance diagram for cv::detail::FeatherBlender:

## Public Member Functions
| FeatherBlender (float sharpness=0.02f)
void | blend (InputOutputArray dst, InputOutputArray dst_mask) CV_OVERRIDE
| Blends and returns the final pano. More...
Rect | createWeightMaps (const std::vector< UMat > &masks, const std::vector< Point > &corners, std::vector< UMat > &weight_maps)
void | feed (InputArray img, InputArray mask, Point tl) CV_OVERRIDE
| Processes the image. More...
void | prepare (Rect dst_roi) CV_OVERRIDE
void | setSharpness (float val)
float | sharpness () const
Public Member Functions inherited from cv::detail::Blender
virtual | ~Blender ()
virtual void | prepare (const std::vector< Point > &corners, const std::vector< Size > &sizes)
| Prepares the blender for blending. More...

## Additional Inherited Members
Public Types inherited from cv::detail::Blender
enum | { NO, FEATHER, MULTI_BAND }
Static Public Member Functions inherited from cv::detail::Blender
static Ptr< Blender > | createDefault (int type, bool try_gpu=false)
Protected Attributes inherited from cv::detail::Blender
UMat | dst_
UMat | dst_mask_
Rect | dst_roi_

## Detailed Description

Simple blender which mixes images at its borders.

Examples:
  samples/cpp/stitching_detailed.cpp.

## Member Function Documentation

## ◆ blend()

void cv::detail::FeatherBlender::blend | ( | InputOutputArray | dst,
|  | InputOutputArray | dst_mask
| ) |  |
| virtual

Python:
| dst, dst_mask | = | cv.detail_FeatherBlender.blend( | dst, dst_mask | )

Blends and returns the final pano.

Parameters

  dst | Final pano
  dst_mask | Final pano mask

Reimplemented from cv::detail::Blender.

## ◆ createWeightMaps()

Rect cv::detail::FeatherBlender::createWeightMaps | ( | const std::vector< UMat > & | masks,
|  | const std::vector< Point > & | corners,
|  | std::vector< UMat > & | weight_maps
| ) |  |

Python:
| retval, weight_maps | = | cv.detail_FeatherBlender.createWeightMaps( | masks, corners, weight_maps | )

Creates weight maps for fixed set of source images by their masks and top-left corners. Final image can be obtained by simple weighting of the source images.

## ◆ feed()

void cv::detail::FeatherBlender::feed | ( | InputArray | img,
|  | InputArray | mask,
|  | Point | tl
| ) |  |
| virtual

Python:
| None | = | cv.detail_FeatherBlender.feed( | img, mask, tl | )

Processes the image.

Parameters

  img | Source image
  mask | Source image mask
  tl | Source image top-left corners

Reimplemented from cv::detail::Blender.

## ◆ prepare()

void cv::detail::FeatherBlender::prepare | ( | Rect | dst_roi | ) |
| virtual

Python:
| None | = | cv.detail_FeatherBlender.prepare( | dst_roi | )

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.

Reimplemented from cv::detail::Blender.

## ◆ setSharpness()

void cv::detail::FeatherBlender::setSharpness | ( | float | val | ) |
| inline

Python:
| None | = | cv.detail_FeatherBlender.setSharpness( | val | )

Examples:
  samples/cpp/stitching_detailed.cpp.

## ◆ sharpness()

float cv::detail::FeatherBlender::sharpness | ( |  | ) | const
| inline

Python:
| retval | = | cv.detail_FeatherBlender.sharpness( |  | )

Examples:
  samples/cpp/stitching_detailed.cpp.

The documentation for this class was generated from the following file:

- opencv2/stitching/detail/blenders.hpp